

Article 356 of comp.theory.cell-automata:
Path: mimsy!haven!uflorida!mailrus!iuvax!maytag!watcsc!death
>From: [email-masked] (Trevor Green)
Newsgroups: comp.theory.cell-automata
Subject: Wireworld: a better wire-cross
Keywords: wireworld, not quite so long
Message-ID: <[email-masked]>
Date: 26 Feb 90 04:51:39 GMT
Reply-To: [email-masked] (Trevor Green)
Organization: University of Waterloo Computer Science Club
Lines: 45

Kudos goes to Rich Schroeppel ([email-masked]) for suggesting a "conceptually
simpler" wire-cross design which I managed to convert into a practically
simpler wire-cross.  I actually came up with two designs - the first is
smaller and has a shorter transit time, but the second has a *much* lower IBI.
Here they are:

...........
.....==....
.==.=..=...
I=.===..==.
.==.=....=O
.....==.==.
......==...
.....==.==.
.==.=....=O
I=.===..==.
.==.=..=...
.....==....
...........
Transit: 10
IBI: 19
Size: 11x13

..............
.....==.==....
.==.=..==.=...
I=.===..==.==.
.==.=.......=O
.....==.==.==.
......===.=...
.....==.==.==.
.==.=.......=O
I=.===..==.==.
.==.=..==.=...
.....==.==....
..............
Transit: 13
IBI: 13
Size: 14x13

The three diodes that are the difference between the top and bottom diagram
catch electrons that "bounce" back out of the final XORs sooner, clearing
the device for input six cycles sooner.

Trevor Green [email-masked] watmath!maytag!watcsc!death